Agent Telephony
Create an agent telephony binding
Creates a telephony binding for the voice agent named in the path.
Headerparameter
Foundry-Features
enum
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Repeatability-Request-ID
string
An opaque, globally-unique, client-generated string identifier for the request.
Repeatability-First-Sent
string
Specifies the date and time at which the request was first created.
Pfadparameter
agent_name
string
Erforderlich
The name of the voice agent that owns the binding.
Abfrageparameter
api-version
string
Erforderlich
The API version to use for this operation.
Anforderungstext
The provider-specific binding to create.
teams_phone_extension
CreateTeamsPhoneExtensionTelephonyBindingRequest
The request to create a Microsoft Teams Phone Extension binding.
provider
enum
Erforderlich
The Microsoft Teams Phone Extension provider.
phone_number
string
The optional display phone number for the Teams resource account.
resource_account_object_id
string
Erforderlich
Universally Unique Identifier
twilio
CreateTwilioTelephonyBindingRequest
The request to create a Twilio binding.
provider
enum
Erforderlich
The Twilio provider.
phone_number
string
Erforderlich
The Twilio E.164 phone number.
Antworten
The request has succeeded and a new resource has been created as a result.
Header
ETag
string
Erforderlich
The entity tag to send in the If-Match header when updating or deleting the binding.
Text
teams_phone_extension
TeamsPhoneExtensionTelephonyBinding
A Microsoft Teams Phone Extension binding owned by a voice agent.
provider
enum
Erforderlich
The Microsoft Teams Phone Extension provider.
phone_number
string
The optional display phone number for the Teams resource account.
resource_account_object_id
string
Erforderlich
Universally Unique Identifier
twilio
TwilioTelephonyBinding
A Twilio binding owned by a voice agent.
provider
enum
Erforderlich
The Twilio provider.
phone_number
string
Erforderlich
The Twilio E.164 phone number.
Anfordern
POST /agents/{agent_name}/telephony/bindings HTTP/1.1
Antwort
Status: 201
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json